Resource

Search

Search contacts.

Endpoints

Search contacts

GET /search

Search contacts using a phone number or email address. If searching by phone, exclude the + sign and enter the number with the international prefix.

Query parameters

  • type string required default: contacts
    The default is contacts.
  • query string required
    The email address or phone number of the contact you are looking for.
Request
curl "https://api.flashy.app/search?type=contacts&query=user@name.com" \
  -H "x-api-key: YOUR_API_KEY"
Send your API key in the x-api-key header. Authentication
has no method for this endpoint — showing REST.
Response 200 Matching contacts.
{
    "success": true,
    "data": {
        "results": [
            {
                "contact_id": "ffbed8733ed83e70bc88910d6de71ef0",
                "email": "user@name.com",
                "phone": "972526845999",
                "created_at": 1631625209
            }
        ],
        "total": 1
    }
}